diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-deferredalert-types/src/test/java/com/nuxeo/ecm/deferredalert/types/TestAlertSettings.java
--- a/nuxeo-platform-deferredalert-types/src/test/java/com/nuxeo/ecm/deferredalert/types/TestAlertSettings.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-deferredalert-types/src/test/java/com/nuxeo/ecm/deferredalert/types/TestAlertSettings.java	Fri Mar 26 09:05:32 2010 +0100
@@ -35,93 +35,101 @@
  */
 public class TestAlertSettings extends RepositoryOSGITestCase {
 
-	private static final String TEST_USERNAME1 = "testusername";
-	private static final String TEST_USERNAME2 = "testusername2";
-	private static final String TEST_ALERT_TEXT = "alerttext";
+    private static final String TEST_USERNAME1 = "testusername";
 
-	private CoreSession session;
-	private DocumentModel root;
+    private static final String TEST_USERNAME2 = "testusername2";
 
-	@Override
-	public void setUp() throws Exception {
+    private static final String TEST_ALERT_TEXT = "alerttext";
 
-		super.setUp();
+    private CoreSession session;
 
-		deployBundle("org.nuxeo.ecm.deferredalert.types");
-		
-		// Initialize the test environment
-		openRepositoryAsUser("Administrator");
-		session = getCoreSession();
-		root = getRootWorkspace();
+    private DocumentModel root;
 
-		checkDeployment();
+    @Override
+    public void setUp() throws Exception {
 
-	}
+        super.setUp();
 
-	private void checkDeployment() throws Exception {
-		
-		SchemaManager smgr = Framework.getService(SchemaManager.class);
-		assertNotNull(smgr);
-		assertNotNull(smgr.getSchema(DeferredAlertType.SCHEMA));
-		assertNotNull(smgr.getDocumentType(DeferredAlertType.DOCTYPE));
+        deployBundle("org.nuxeo.ecm.deferredalert.types");
 
-	}
+        // Initialize the test environment
+        openRepositoryAsUser("Administrator");
+        session = getCoreSession();
+        root = getRootWorkspace();
 
-	@Override
-	public void tearDown() throws Exception {
+        checkDeployment();
 
-		try {
-			Framework.getLocalService(EventService.class).waitForAsyncCompletion();
-		} catch (Exception e) {
-		}
+    }
 
-		undeployBundle("org.nuxeo.ecm.deferredalert.types");
+    private void checkDeployment() throws Exception {
 
-		closeRepository();
-		super.tearDown();
+        SchemaManager smgr = Framework.getService(SchemaManager.class);
+        assertNotNull(smgr);
+        assertNotNull(smgr.getSchema(DeferredAlertType.SCHEMA));
+        assertNotNull(smgr.getDocumentType(DeferredAlertType.DOCTYPE));
 
-	}
+    }
 
-	public void testCreateAlertDocument() throws Exception {
-		DocumentModel doc = createAlertSettingsDoc();
-		Object o = doc.getProperty(DeferredAlertType.SCHEMA, DeferredAlertType.PROP_USERNAME);
-		assertNotNull(o);
-		assertTrue(o instanceof String);
-		assertEquals(TEST_USERNAME1, (String) o);
-		session.removeDocument(new IdRef(doc.getId()));
-	}
+    @Override
+    public void tearDown() throws Exception {
 
-	public void testWrapper() throws Exception {
-		DocumentModel doc = createAlertSettingsDoc();
-		DeferredAlertWrapper w = new DeferredAlertWrapper(doc);
-		assertEquals(TEST_USERNAME1, w.getUserName());
-		assertEquals(TEST_ALERT_TEXT, w.getAlertText());
-		w.setUserName(TEST_USERNAME2);
-		session.saveDocument(doc);
-		assertEquals(TEST_USERNAME2, w.getUserName());
-		session.removeDocument(new IdRef(doc.getId()));
-	}
+        try {
+            Framework.getLocalService(EventService.class).waitForAsyncCompletion();
+        } catch (Exception e) {
+        }
 
-	private DocumentModel createAlertSettingsDoc() throws ClientException {
+        undeployBundle("org.nuxeo.ecm.deferredalert.types");
 
-		DocumentModel testDoc = session.createDocumentModel(root.getPathAsString(), "TestDeferredAlert", "DeferredAlert");
-		assertNotNull(testDoc);
+        closeRepository();
+        super.tearDown();
 
-		testDoc.setProperty(DeferredAlertType.SCHEMA, DeferredAlertType.PROP_USERNAME, TEST_USERNAME1);
-		testDoc.setProperty(DeferredAlertType.SCHEMA, DeferredAlertType.PROP_ALERT_TEXT, TEST_ALERT_TEXT);
+    }
 
-		testDoc = session.createDocument(testDoc);
-		session.saveDocument(testDoc);
-		return testDoc;
+    public void testCreateAlertDocument() throws Exception {
+        DocumentModel doc = createAlertSettingsDoc();
+        Object o = doc.getProperty(DeferredAlertType.SCHEMA,
+                DeferredAlertType.PROP_USERNAME);
+        assertNotNull(o);
+        assertTrue(o instanceof String);
+        assertEquals(TEST_USERNAME1, (String) o);
+        session.removeDocument(new IdRef(doc.getId()));
+    }
 
-	}
+    public void testWrapper() throws Exception {
+        DocumentModel doc = createAlertSettingsDoc();
+        DeferredAlertWrapper w = new DeferredAlertWrapper(doc);
+        assertEquals(TEST_USERNAME1, w.getUserName());
+        assertEquals(TEST_ALERT_TEXT, w.getAlertText());
+        w.setUserName(TEST_USERNAME2);
+        session.saveDocument(doc);
+        assertEquals(TEST_USERNAME2, w.getUserName());
+        session.removeDocument(new IdRef(doc.getId()));
+    }
 
-	public void testWrapperCreate() throws Exception {
-		DeferredAlertWrapper w = DeferredAlertWrapper.create(session, getRootWorkspace().getPathAsString(), TEST_USERNAME1, TEST_ALERT_TEXT);
-		assertEquals(TEST_USERNAME1, w.getUserName());
-		assertEquals(TEST_ALERT_TEXT, w.getAlertText());
-		DeferredAlertWrapper.delete(session, w);
-	}
+    private DocumentModel createAlertSettingsDoc() throws ClientException {
 
+        DocumentModel testDoc = session.createDocumentModel(
+                root.getPathAsString(), "TestDeferredAlert", "DeferredAlert");
+        assertNotNull(testDoc);
+
+        testDoc.setProperty(DeferredAlertType.SCHEMA,
+                DeferredAlertType.PROP_USERNAME, TEST_USERNAME1);
+        testDoc.setProperty(DeferredAlertType.SCHEMA,
+                DeferredAlertType.PROP_ALERT_TEXT, TEST_ALERT_TEXT);
+
+        testDoc = session.createDocument(testDoc);
+        session.saveDocument(testDoc);
+        return testDoc;
+
+    }
+
+    public void testWrapperCreate() throws Exception {
+        DeferredAlertWrapper w = DeferredAlertWrapper.create(session,
+                getRootWorkspace().getPathAsString(), TEST_USERNAME1,
+                TEST_ALERT_TEXT);
+        assertEquals(TEST_USERNAME1, w.getUserName());
+        assertEquals(TEST_ALERT_TEXT, w.getAlertText());
+        DeferredAlertWrapper.delete(session, w);
+    }
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/ec/notification/NotificationEventListener.java
--- a/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/ec/notification/NotificationEventListener.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/ec/notification/NotificationEventListener.java	Fri Mar 26 09:05:32 2010 +0100
@@ -69,10 +69,9 @@
 
     private EmailHelper emailHelper = new EmailHelper();
 
-	protected DeferredNotificationHelper deferredHelper = new DeferredNotificationHelper();
+    protected DeferredNotificationHelper deferredHelper = new DeferredNotificationHelper();
 
-	protected UserSettingsService userSettingsService;
-
+    protected UserSettingsService userSettingsService;
 
     public void handleEvent(EventBundle events) throws ClientException {
 
@@ -232,99 +231,108 @@
         String userDest = (String) eventInfo.get(NotificationConstants.DESTINATION_KEY);
         NotificationImpl notif = (NotificationImpl) eventInfo.get(NotificationConstants.NOTIFICATION_KEY);
 
-		AlertSettingsWrapper as = getAlertSettings(userDest);
+        AlertSettingsWrapper as = getAlertSettings(userDest);
 
-		String notificationPolicy = as.getNotificationPolicy();
+        String notificationPolicy = as.getNotificationPolicy();
 
-		if (AlertSettingsType.NOTIFICATION_POLICY_BOTH.equals(notificationPolicy)) {
-	        sendImmediateNotification(ctx, eventId, eventInfo, userDest, notif);
-			storeDeferredNotification(ctx, eventId, eventInfo, userDest, notif);
-		} else if (AlertSettingsType.NOTIFICATION_POLICY_SUMMARY.equals(notificationPolicy)) {
-			storeDeferredNotification(ctx, eventId, eventInfo, userDest, notif);
-		} else if (AlertSettingsType.NOTIFICATION_POLICY_IMMEDIATE.equals(notificationPolicy)) {
-	        sendImmediateNotification(ctx, eventId, eventInfo, userDest, notif);
-		} else {
-			log.warn(String.format("Unexpected value for notificationPolicy : %s", as.getNotificationPolicy()));
-	        sendImmediateNotification(ctx, eventId, eventInfo, userDest, notif);
-		}
+        if (AlertSettingsType.NOTIFICATION_POLICY_BOTH.equals(notificationPolicy)) {
+            sendImmediateNotification(ctx, eventId, eventInfo, userDest, notif);
+            storeDeferredNotification(ctx, eventId, eventInfo, userDest, notif);
+        } else if (AlertSettingsType.NOTIFICATION_POLICY_SUMMARY.equals(notificationPolicy)) {
+            storeDeferredNotification(ctx, eventId, eventInfo, userDest, notif);
+        } else if (AlertSettingsType.NOTIFICATION_POLICY_IMMEDIATE.equals(notificationPolicy)) {
+            sendImmediateNotification(ctx, eventId, eventInfo, userDest, notif);
+        } else {
+            log.warn(String.format(
+                    "Unexpected value for notificationPolicy : %s",
+                    as.getNotificationPolicy()));
+            sendImmediateNotification(ctx, eventId, eventInfo, userDest, notif);
+        }
 
-
-        
     }
 
-	private void storeDeferredNotification(DocumentEventContext ctx, String eventId, Map<String, Serializable> eventInfo,
-			String userPrincipal, NotificationImpl notif) throws ClientException {
-		
+    private void storeDeferredNotification(DocumentEventContext ctx,
+            String eventId, Map<String, Serializable> eventInfo,
+            String userPrincipal, NotificationImpl notif)
+            throws ClientException {
+
         Map<String, Object> infoMap = new HashMap<String, Object>();
 
-		NuxeoPrincipal recepient = NotificationServiceHelper.getUsersService().getPrincipal(userPrincipal);
-		// XXX hack, principals have only one model
-		DataModel model = recepient.getModel().getDataModels().values().iterator().next();
-		String email = (String) model.getData("email");
-		String mailTemplate = "d_" + notif.getTemplate();
+        NuxeoPrincipal recepient = NotificationServiceHelper.getUsersService().getPrincipal(
+                userPrincipal);
+        // XXX hack, principals have only one model
+        DataModel model = recepient.getModel().getDataModels().values().iterator().next();
+        String email = (String) model.getData("email");
+        String mailTemplate = "d_" + notif.getTemplate();
 
-		infoMap.put("mail.to", email);
+        infoMap.put("mail.to", email);
 
-		String authorUsername = (String) infoMap.get("author");
+        String authorUsername = (String) infoMap.get("author");
 
-		if (authorUsername != null) {
-			NuxeoPrincipal author = NotificationServiceHelper.getUsersService().getPrincipal(authorUsername);
-			infoMap.put("principalAuthor", author);
-		}
+        if (authorUsername != null) {
+            NuxeoPrincipal author = NotificationServiceHelper.getUsersService().getPrincipal(
+                    authorUsername);
+            infoMap.put("principalAuthor", author);
+        }
 
-		// mail.put("doc", docMessage); - should be already there
+        // mail.put("doc", docMessage); - should be already there
 
-		String subject = notif.getSubject() == null ? "Notification" : notif.getSubject();
-		if (notif.getSubjectTemplate() != null) {
-			subject = notif.getSubjectTemplate();
-		}
+        String subject = notif.getSubject() == null ? "Notification"
+                : notif.getSubject();
+        if (notif.getSubjectTemplate() != null) {
+            subject = notif.getSubjectTemplate();
+        }
 
-		subject = NotificationServiceHelper.getNotificationService().getEMailSubjectPrefix() + subject;
+        subject = NotificationServiceHelper.getNotificationService().getEMailSubjectPrefix()
+                + subject;
 
-		infoMap.put("subject", subject);
-		infoMap.put("template", mailTemplate);
-		
+        infoMap.put("subject", subject);
+        infoMap.put("template", mailTemplate);
+
         // Transferring all data from event to email
         for (String key : eventInfo.keySet()) {
             infoMap.put(key, eventInfo.get(key));
             log.debug("Mail prop: " + key);
         }
 
-		try {
-			deferredHelper.storeNotification(infoMap, userPrincipal);
-		} catch (Exception e) {
-			throw new ClientException("Failed to send notification email ", e);
-		}
-	}
+        try {
+            deferredHelper.storeNotification(infoMap, userPrincipal);
+        } catch (Exception e) {
+            throw new ClientException("Failed to send notification email ", e);
+        }
+    }
 
-	private AlertSettingsWrapper getAlertSettings(String userPrincipal) throws ClientException {
+    private AlertSettingsWrapper getAlertSettings(String userPrincipal)
+            throws ClientException {
 
-		DocumentModelList alertDocList = (DocumentModelList) getuserSettingsService().getUserSettings(userPrincipal, AlertSettingsType.DOCTYPE);
+        DocumentModelList alertDocList = (DocumentModelList) getuserSettingsService().getUserSettings(
+                userPrincipal, AlertSettingsType.DOCTYPE);
 
-		DocumentModel alertDoc = alertDocList.get(0);
-		
-		return new AlertSettingsWrapper(alertDoc);
+        DocumentModel alertDoc = alertDocList.get(0);
 
+        return new AlertSettingsWrapper(alertDoc);
 
-	}
+    }
 
-	private UserSettingsService getuserSettingsService() throws ClientException {
+    private UserSettingsService getuserSettingsService() throws ClientException {
 
-		try {
-			if (userSettingsService == null) {
-				userSettingsService = Framework.getService(UserSettingsService.class);
-			}
+        try {
+            if (userSettingsService == null) {
+                userSettingsService = Framework.getService(UserSettingsService.class);
+            }
 
-			return userSettingsService;
-		} catch (Exception e) {
-			throw new ClientException("Unable to get UserSettingsService", e);
-		}
+            return userSettingsService;
+        } catch (Exception e) {
+            throw new ClientException("Unable to get UserSettingsService", e);
+        }
 
-	}
+    }
 
-	private void sendImmediateNotification(DocumentEventContext ctx, String eventId, Map<String, Serializable> eventInfo,
-			String userDest, NotificationImpl notif) throws ClientException, PropertyException {
-		// send email
+    private void sendImmediateNotification(DocumentEventContext ctx,
+            String eventId, Map<String, Serializable> eventInfo,
+            String userDest, NotificationImpl notif) throws ClientException,
+            PropertyException {
+        // send email
         NuxeoPrincipal recepient = NotificationServiceHelper.getUsersService().getPrincipal(
                 userDest);
         if (recepient == null) {
@@ -383,7 +391,7 @@
         } catch (Exception e) {
             throw new ClientException("Failed to send notification email ", e);
         }
-	}
+    }
 
     /**
      * Adds the concerned users to the list of targeted users for these
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/ec/notification/defer/DeferredNotificationHelper.java
--- a/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/ec/notification/defer/DeferredNotificationHelper.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/ec/notification/defer/DeferredNotificationHelper.java	Fri Mar 26 09:05:32 2010 +0100
@@ -74,59 +74,61 @@
  */
 public class DeferredNotificationHelper {
 
-	private static DeferredAlertManagementService service = null;
+    private static DeferredAlertManagementService service = null;
 
-	private static final Log log = LogFactory.getLog(DeferredNotificationHelper.class);
+    private static final Log log = LogFactory.getLog(DeferredNotificationHelper.class);
 
-	// used for loading templates from strings
-	private final Configuration stringCfg = new Configuration();
+    // used for loading templates from strings
+    private final Configuration stringCfg = new Configuration();
 
-	/* Only static methods here chaps */
-	public DeferredNotificationHelper() {
-	}
+    /* Only static methods here chaps */
+    public DeferredNotificationHelper() {
+    }
 
-	private DeferredAlertManagementService getService() throws Exception {
+    private DeferredAlertManagementService getService() throws Exception {
 
-		if (service == null) service = Framework.getService(DeferredAlertManagementService.class);
-		
-		return service;
-	}
+        if (service == null)
+            service = Framework.getService(DeferredAlertManagementService.class);
 
-	/**
-	 * Static Method: sendmail(Map mail).
-	 * 
-	 * @param mail
-	 *            A map of the settings
-	 * @param userPrincipal 
-	 */
-	public void storeNotification(Map<String, Object> mail, String userPrincipal) throws Exception {
+        return service;
+    }
 
-		RenderingService rs = Framework.getService(RenderingService.class);
+    /**
+     * Static Method: sendmail(Map mail).
+     * 
+     * @param mail A map of the settings
+     * @param userPrincipal
+     */
+    public void storeNotification(Map<String, Object> mail, String userPrincipal)
+            throws Exception {
 
-		DocumentRenderingContext context = new DocumentRenderingContext();
-		context.remove("doc");
-		context.putAll(mail);
-		context.setDocument((DocumentModel) mail.get("document"));
+        RenderingService rs = Framework.getService(RenderingService.class);
 
-		rs.registerEngine(new DeferredNotificationsRenderingEngine((String) mail.get(NotificationConstants.TEMPLATE_KEY)));
+        DocumentRenderingContext context = new DocumentRenderingContext();
+        context.remove("doc");
+        context.putAll(mail);
+        context.setDocument((DocumentModel) mail.get("document"));
 
-		LoginContext lc = Framework.login();
+        rs.registerEngine(new DeferredNotificationsRenderingEngine(
+                (String) mail.get(NotificationConstants.TEMPLATE_KEY)));
 
-		Collection<RenderingResult> results = rs.process(context);
-		String bodyMail = "<HTML><P>No parsing Succeded !!!</P></HTML>";
+        LoginContext lc = Framework.login();
 
-		for (RenderingResult result : results) {
-			bodyMail = (String) result.getOutcome();
-		}
+        Collection<RenderingResult> results = rs.process(context);
+        String bodyMail = "<HTML><P>No parsing Succeded !!!</P></HTML>";
 
-		List<String> alerts = new ArrayList<String>();
-		alerts.add(bodyMail);
-		
-		getService().storeAlerts(userPrincipal, alerts);
-		
-		lc.logout();
+        for (RenderingResult result : results) {
+            bodyMail = (String) result.getOutcome();
+        }
 
-		rs.unregisterEngine("ftl");
+        List<String> alerts = new ArrayList<String>();
+        alerts.add(bodyMail);
 
-	}
+        getService().storeAlerts(userPrincipal, alerts);
+
+        lc.logout();
+
+        rs.unregisterEngine("ftl");
+
+    }
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/ec/notification/defer/DeferredNotificationsRenderingEngine.java
--- a/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/ec/notification/defer/DeferredNotificationsRenderingEngine.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/ec/notification/defer/DeferredNotificationsRenderingEngine.java	Fri Mar 26 09:05:32 2010 +0100
@@ -32,18 +32,19 @@
 /**
  * @author <a href="mailto:npaslaru@nuxeo.com">Narcis Paslaru</a>
  */
-public class DeferredNotificationsRenderingEngine extends DocumentRenderingEngine {
+public class DeferredNotificationsRenderingEngine extends
+        DocumentRenderingEngine {
 
     private final String template;
 
-    public DeferredNotificationsRenderingEngine(String template){
+    public DeferredNotificationsRenderingEngine(String template) {
         this.template = template;
     }
 
     @Override
     public Configuration createConfiguration() throws Exception {
         Configuration cfg = super.createConfiguration();
-        cfg.setSharedVariable("htmlEscape", new HtmlEscapeMethod() );
+        cfg.setSharedVariable("htmlEscape", new HtmlEscapeMethod());
         return cfg;
     }
 
@@ -57,7 +58,8 @@
         return template;
     }
 
-    class NotifsRenderingJob extends DefaultRenderingResult implements FreemarkerRenderingJob {
+    class NotifsRenderingJob extends DefaultRenderingResult implements
+            FreemarkerRenderingJob {
 
         private static final long serialVersionUID = -7133062841713259967L;
 
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/ec/notification/email/NotificationsRenderingEngine.java
--- a/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/ec/notification/email/NotificationsRenderingEngine.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/ec/notification/email/NotificationsRenderingEngine.java	Fri Mar 26 09:05:32 2010 +0100
@@ -36,14 +36,14 @@
 
     private final String template;
 
-    public NotificationsRenderingEngine(String template){
+    public NotificationsRenderingEngine(String template) {
         this.template = template;
     }
 
     @Override
     public Configuration createConfiguration() throws Exception {
         Configuration cfg = super.createConfiguration();
-        cfg.setSharedVariable("htmlEscape", new HtmlEscapeMethod() );
+        cfg.setSharedVariable("htmlEscape", new HtmlEscapeMethod());
         return cfg;
     }
 
@@ -57,7 +57,8 @@
         return null;
     }
 
-    class NotifsRenderingJob extends DefaultRenderingResult implements FreemarkerRenderingJob {
+    class NotifsRenderingJob extends DefaultRenderingResult implements
+            FreemarkerRenderingJob {
 
         private static final long serialVersionUID = -7133062841713259967L;
 
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/ec/notification/service/NotificationRegistryImpl.java
--- a/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/ec/notification/service/NotificationRegistryImpl.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/ec/notification/service/NotificationRegistryImpl.java	Fri Mar 26 09:05:32 2010 +0100
@@ -48,8 +48,9 @@
 
     public void registerNotification(Notification notif, List<String> events) {
         Notification notification = new NotificationImpl(notif.getName(),
-                notif.getTemplate(), notif.getChannel(), notif.getSubjectTemplate(), notif.getAutoSubscribed(),
-                 notif.getSubject(), notif.getAvailableIn(), notif.getLabel());
+                notif.getTemplate(), notif.getChannel(),
+                notif.getSubjectTemplate(), notif.getAutoSubscribed(),
+                notif.getSubject(), notif.getAvailableIn(), notif.getLabel());
         if (notif.getEnabled()) {
             notificationList.add(notification);
             if (events != null && !events.isEmpty()) {
@@ -64,8 +65,9 @@
 
     public void unregisterNotification(Notification notif, List<String> events) {
         NotificationImpl notification = new NotificationImpl(notif.getName(),
-                notif.getTemplate(), notif.getChannel(), notif.getSubjectTemplate(),
-                notif.getAutoSubscribed(), notif.getSubject(), notif.getAvailableIn(), notif.getLabel());
+                notif.getTemplate(), notif.getChannel(),
+                notif.getSubjectTemplate(), notif.getAutoSubscribed(),
+                notif.getSubject(), notif.getAvailableIn(), notif.getLabel());
         notificationList.remove(notification);
         if (events != null && !events.isEmpty()) {
             for (String event : events) {
